Bug 1360769 - ipa-server-certinstall couldnt unlock private key file
Summary: ipa-server-certinstall couldnt unlock private key file
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: Kaleem
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-27 12:41 UTC by Martin Bašti
Modified: 2016-11-04 05:59 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-04 05:59:15 UTC


Attachments (Terms of Use)
console output with verification steps (4.76 KB, text/plain)
2016-09-15 08:49 UTC, Kaleem
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:2404 normal SHIPPED_LIVE ipa bug fix and enhancement update 2016-11-03 13:56:18 UTC

Description Martin Bašti 2016-07-27 12:41:36 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/freeipa/ticket/6032

ipa-server-certinstall -w file.pem file.key asks for an unlock passwort for private key. This is happen if the private key file is encrypted and if it isnt encrypted. If i type in the correct passwort the result ist:

Insufficient access:  Invalid credentials

Comment 1 Jan Cholasta 2016-08-17 13:09:00 UTC
Fixed upstream
master:
https://fedorahosted.org/freeipa/changeset/4ee426a68ec60370eee6f5aec917ecce444840c7

Comment 3 Kaleem 2016-09-15 08:48:13 UTC
Verified.

IPA Version:
============
root@dhcp207-129 ~]# rpm -q ipa-server
ipa-server-4.4.0-11.el7.x86_64
[root@dhcp207-129 ~]# 

Please find the attached file for console output of verification steps.

Comment 4 Kaleem 2016-09-15 08:49 UTC
Created attachment 1201160 [details]
console output with verification steps

Comment 6 errata-xmlrpc 2016-11-04 05:59:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-2404.html


Note You need to log in before you can comment on or make changes to this bug.